Next: quadmath_snprintf, Up: I/O Library Routines [Contents]

### 3.1 `strtoflt128` — Convert from string

The function `strtoflt128` converts a string into a `__float128` number.

Syntax

  `__float128 strtoflt128 (const char *s, char **sp)`

Arguments:

  s | input string
  sp | the address of the next character in the string

  The argument sp contains, if not `NULL`, the address of the next character following the parts of the string, which have been read.

Example

      #include <quadmath.h>

      int main ()
      {
        __float128 r;

        r = strtoflt128 ("1.2345678", NULL);

        return 0;
      }